..
  autogenerated from source/_templates/autosummary/bundle_class.rst

{{ name | underline }}

.. autoclass:: {{ fullname }}()

{%- if name in ["RNNTBundle.FeatureExtractor", "RNNTBundle.TokenProcessor"] %}
  {%- set methods = ["__call__"] %}
{%- elif name == "Tacotron2TTSBundle.TextProcessor" %}
  {%- set attributes = ["tokens"] %}
  {%- set methods = ["__call__"] %}
{%- elif name == "Tacotron2TTSBundle.Vocoder" %}
  {%- set attributes=["sample_rate"] %}
  {%- set methods = ["__call__"] %}
{% endif %}

..
   ATTRIBUTES
{%- for item in attributes %}
{%- if not item.startswith('_') %}

{{ item | underline("-") }}

.. container:: py attribute

   .. autoproperty:: {{[fullname, item] | join('.')}}

{%- endif %}
{%- endfor %}

..
   METHODS

{%- for item in methods %}
{%- if item != "__init__" %}

{{item | underline("-") }}

.. container:: py attribute

   .. automethod:: {{[fullname, item] | join('.')}}

{%- endif %}
{%- endfor %}
